local _, ns = ...

local Data = {}
ns.Data = Data

Data.spellTable = {
    [2139]   = { cooldown = 24 },
    [96231]  = { cooldown = 15 },
    [6552]   = { cooldown = 15 },
    [78675]  = { cooldown = 60 },
    [106839] = { cooldown = 15 },
    [47528]  = { cooldown = 15 },
    [147362] = { cooldown = 24 },
    [187707] = { cooldown = 15 },
    [15487]  = { cooldown = 45 },
    [1766]   = { cooldown = 15 },
    [57994]  = { cooldown = 12 },
    [116705] = { cooldown = 15 },
    [183752] = { cooldown = 15 }
}

Data.spellOfSpec = {
    [62]  = 2139,
    [63]  = 2139,
    [64]  = 2139,
    [66]  = 96231,
    [70]  = 96231,
    [71]  = 6552,
    [72]  = 6552,
    [73]  = 6552,
    [102] = 78675,
    [103] = 106839,
    [104] = 106839,
    [250] = 47528,
    [251] = 47528,
    [252] = 47528,
    [253] = 147362,
    [254] = 147362,
    [255] = 187707,
    [258] = 15487,
    [259] = 1766,
    [260] = 1766,
    [261] = 1766,
    [262] = 57994,
    [263] = 57994,
    [264] = 57994,
    [268] = 116705,
    [269] = 116705,
    [577] = 183752,
    [581] = 183752
}

Data.spellOfClass = {
    ["MAGE"] = 2139,
    ["WARRIOR"] = 6552,
    ["DEATHKNIGHT"] = 47528,
    ["ROGUE"] = 1766,
    ["SHAMAN"] = 57994,
    ["DEMONHUNTER"] = 183752
}

Data.rangedSpec = {
    [62] = true,
    [63] = true,
    [64] = true,
    [102] = true,
    [253] = true,
    [254] = true,
    [258] = true,
    [262] = true,
    [264] = true
}

Data.filterGroups = {
    ["RANGED"] = Data.rangedSpec
}

Data.specClass = {
    [62] = "MAGE",         --Arcane
    [63] = "MAGE",         --Fire
    [64] = "MAGE",         --Frost
    [65] = "PALADIN",      --Holy
    [66] = "PALADIN",      --Protection
    [70] = "PALADIN",      --Retribution
    [71] = "WARRIOR",      --Arms
    [72] = "WARRIOR",      --Fury
    [73] = "WARRIOR",      --Protection
    [102] = "DRUID",       --Balance
    [103] = "DRUID",       --Feral
    [104] = "DRUID",       --Guardian
    [105] = "DRUID",       --Restoration
    [250] = "DEATHKNIGHT", --Blood
    [251] = "DEATHKNIGHT", --Frost
    [252] = "DEATHKNIGHT", --Unholy
    [253] = "HUNTER",      --Beast Mastery
    [254] = "HUNTER",      --Marksmanship
    [255] = "HUNTER",      --Survival
    [256] = "PRIEST",      --Discipline
    [257] = "PRIEST",      --Holy
    [258] = "PRIEST",      --Shadow
    [259] = "ROGUE",       --Assassination
    [260] = "ROGUE",       --Outlaw
    [261] = "ROGUE",       --Subtlety
    [262] = "SHAMAN",      --Elemental
    [263] = "SHAMAN",      --Enhancement
    [264] = "SHAMAN",      --Restoration
    [265] = "WARLOCK",     --Affliction
    [266] = "WARLOCK",     --Demonology
    [267] = "WARLOCK",     --Destruction
    [268] = "MONK",        --Brewmaster
    [269] = "MONK",        --Windwalker
    [270] = "MONK",        --Mistweaver
    [577] = "DEMONHUNTER", --Havoc
    [581] = "DEMONHUNTER"  --Vengence
}

Data.irrelevantSpec = {
    [65] = true,
    [105] = true,
    [256] = true,
    [257] = true,
    [265] = true,
    [266] = true,
    [267] = true,
    [270] = true
}
